%define module_name Game-Xomb
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN/Meta.pm) perl(Data/Dumper.pm) perl(ExtUtils/CBuilder.pm) perl(List/Util.pm) perl(List/UtilsBy.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Statistics/Lite.pm) perl(Term/ReadKey.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/UnixCmdWrap.pm) perl(Time/HiRes.pm) perl(XSLoader.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt2
Summary: a game featuring @ versus the Xarci Bedo
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JM/JMATES/%{module_name}-%{version}.tar.gz

%description
Xomb is a terminal-based roguelike. Assuming that the development
tools, the perl(1) manpage, the App::cpanminus manpage, and possibly also
the local::lib manpage are installed and setup, in a suitable terminal
install and run the game via:

    cpanm Game::Xomb
    xomb

Use the `?' key in game to show the help text. The the xomb(1) manpage
documentation details other useful game information; it should be
available once the module is installed via:

    perldoc xomb

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.05-alt2
- rebuild with perl 5.38

* Thu Feb 23 2023 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- updated by package builder

* Fri Jul 29 2022 Igor Vlasenko <viy@altlinux.org> 1.04-alt1
- updated by package builder

* Sun Jul 18 2021 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.02-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.02-alt2
- rebuild with perl 5.30

* Sat Mar 21 2020 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- updated by package builder

* Sun Mar 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- updated by package builder

* Thu Mar 12 2020 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- updated by package builder

* Sat Mar 07 2020 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- initial import by package builder

